declare const wx: {
    env;
    getUpdateManager();
    getSystemInfoSync();
    createBannerAd(v: any);
    getLaunchOptionsSync();
    setKeepScreenOn(v: any);
    createUserInfoButton(v: any);
    login(v: any);
    createRewardedVideoAd(v: any);
    shareAppMessage(v: any);
    vibrateShort(v: any);
    vibrateLong(v: any);
    getFileSystemManager();
    downloadFile(v: any);
    saveFile(v: any);
    aldSendEvent(v: any);
    showShareMenu(v: any);
    onShareAppMessage(v: any);
    navigateToMiniProgram(v: any);
    createInterstitialAd(v: any);
    aldSendOpenid(v: string);
    createGridAd(v: any): GridAd;
    createCustomAd(param: { style: { top: number; left: number }; adUnitId: string });
    setPreferredFramesPerSecond(fps: number): void;
};

declare const tt: {
    getLaunchOptionsSync();
    getSystemInfoSync();
    getGameRecorderManager(): GameRecorderManager;
    createBannerAd(v: Object): BannerAd;
    createRewardedVideoAd(v: Object): RewardedVideoAd;
    shareAppMessage(v: Object);
    vibrateLong(v: any);
    vibrateShort(v: any);
    createInterstitialAd(v: Object): InterstitialAd;
    navigateToMiniProgram(param: { path: string; fail: (e) => void; success: () => void; appId: string }): void;
    setKeepScreenOn(param: { keepScreenOn: boolean }): void;
    showShareMenu(param: { withShareTicket: boolean }): void;
    reportAnalytics(levelBegin: string, param2: Object): void;
    openAwemeUserProfile(v: Object): void;
    setPreferredFramesPerSecond(fps: number): void;
    onShareAppMessage(v: any): void;
};

declare const qg: {
    getBattle();
    getNotchHeight();
    createBannerAd(v: any): BannerAd;
    createInterstitialAd(v: any);
    createRewardedVideoAd(v: any);
    authorize(v: any);
    showToast(v: any);
    getProfile(v: any);
    pay(v: any);
    login(v: any);
    getSystemInfoSync();
    hasShortcutInstalled(v: any);
    installShortcut(v: any);
    vibrateShort(v: any);
    vibrateLong(v: any);
    vibrateShort();
    vibrateLong();
    createNativeAd(v: any);
    createInsertAd(v: any);
    navigateToMiniGame(v: any);
    onError(v: any);
    setKeepScreenOn(param: { keepScreenOn: boolean }): void;
    reportMonitor(tag: string, data: Object): void;
    setPreferredFramesPerSecond(fps: number): void;
    createGameBannerAd(param: { adUnitId: string });
    createGamePortalAd(param: { adUnitId: string });
};

declare const swan: {
    showShareMenu();
    authorize(v: any);
    login(v: any);
    showModal(v: any);
    exit();
    createUserInfoButton(v: any);
    setKeepScreenOn(v: any);
    getSystemInfoSync();
    createBannerAd(v: any);
    createRewardedVideoAd(v: any);
    showToast(v: any);
    vibrateLong(): void;
    vibrateShort(): void;
    navigateToMiniProgram(param: { path: string; fail: (error) => void; extraData: {}; success: (_res) => void; appKey: string }): void;
    shareAppMessage(param: { fail(e): void; success: () => void; imageUrl: string; query: string; title: string; content: string }): void;
    reportAnalytics(levelBegin: string, param2?: Object): void;
    setPreferredFramesPerSecond(fps: number): void;
};

declare const hbs: {
    onGameLoginResult;
    gameLogin(v: any);
    hwPay(v: any);
    onShow(v: any);
    onHide(v: any);
    showFloatWindow(v: any);
    hideFloatWindow(v: any);
};

declare const qtt: {};

declare interface BannerAd {
    style;
    is_load: boolean;

    onResize(v: any);

    show();

    onError(v: any);

    onLoad(v: any);

    destroy();

    hide();

    onClose(v: any);
}

declare interface RewardedVideoAd {
    load();

    show();

    onClose(v: any);

    onError(v: any);

    onLoad(v: any);

    onVideoStart(v: any);

    destroy();
}

declare interface GameRecorderManager {
    start(v?: any);

    stop();

    pause();

    resume();

    onStart(v: Function);

    onStop(v: Function);

    onError(v: Function);

    onInterruptionBegin(v: Function);

    onInterruptionEnd(v: Function);

    clipVideo(v: any);

    onPause(v: Function);

    onResume(v: Function);
}

declare interface NativeAd {
    style: any;

    load();

    show();

    onClose(v: any);

    onError(v: any);

    onLoad(v: any);

    reportAdShow(v: any);

    reportAdClick(v: any);
}

declare interface InsertAd {
    load();

    show();

    onClose(v: any);

    onError(v: any);

    onLoad(v: any);
}

declare interface InterstitialAd {
    load();

    show();

    onClose(v: any);

    offClose(v: any);

    onError(v: any);

    offError(v: any);

    onLoad(v: any);

    offLoad(v: any);

    destroy();
}

declare const qttGame: {
    showBanner();
    hideBanner();
    showHDReward(v: any);
    showVideo(v: any, v1: any);
    showHDAD(v: any);
    ready(v: any);
    loadComplete(v: any);
    loadingFinished(v: any);
    startPlayGame(v: any);
}

declare const PF: {
    Grid(v: any);
    JumpPointFinder(): Finder;
}

declare interface Finder {
    findPath(my_x, my_y, target_x, target_y, grid);
}

declare const qq: {
    createBannerAd(o: Object): BannerAd;
    createRewardedVideoAd(o: Object): RewardedVideoAd;
    createAppBox(o: Object): AppBoxAd;
    createInterstitialAd(o: Object): InterstitialAd;
    getSystemInfoSync(): SystemInfo;
    login(o: Object);
    request(o: Object);
    shareAppMessage(o: Object);
    showShareMenu(param: { withShareTicket: boolean }): void;
    setKeepScreenOn(param: { keepScreenOn: boolean }): void;
    vibrateShort(param: {}): void;
    vibrateLong(param: {}): void;
    navigateToMiniProgram(param: { path: string; fail: (err) => void; success: (_) => void; appId: string }): void;
    setPreferredFramesPerSecond(fps: number): void;
}

declare interface GridAd {
    style;

    onResize(v: any);

    show();

    onError(v: any);

    onLoad(v: any);

    destroy();

    hide();

    onClose(v: any);
}

declare interface AppBoxAd {
    load(): Promise;

    show(): Promise;

    destroy(): Promise;

    onClose(callback: Function);

    offClose(callback: Function);
}
